Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.action
Class ActionFactory

    java.lang.Object
      org.jdesktop.swingx.action.ActionFactory

    public class ActionFactory

extends java.lang.Object

A collection of static methods to make it easier to construct Actions. Not sure how usefull they are in reality but it saves a lot of typing.

Author:
  Mark Davidson

Constructor Summary
`ActionFactory()`

Method Summary
`static BoundAction` | `createBoundAction(java.lang.String id, java.lang.String name, java.lang.String mnemonic)` Factory Methods for creating BoundActions
`static BoundAction` | `createBoundAction(java.lang.String id, java.lang.String name, java.lang.String mnemonic, boolean toggle)`
`static BoundAction` | `createBoundAction(java.lang.String id, java.lang.String name, java.lang.String mnemonic, boolean toggle, java.lang.String group)`
`static CompositeAction` | `createCompositeAction(java.lang.String id, java.lang.String name, java.lang.String mnemonic)` Factory Methods for creating `CompositeAction`
`static CompositeAction` | `createCompositeAction(java.lang.String id, java.lang.String name, java.lang.String mnemonic, boolean toggle)`
`static CompositeAction` | `createCompositeAction(java.lang.String id, java.lang.String name, java.lang.String mnemonic, boolean toggle, java.lang.String group)`
`static ServerAction` | `createServerAction(java.lang.String id, java.lang.String name, java.lang.String mnemonic)`
`static TargetableAction` | `createTargetableAction(java.lang.String id, java.lang.String name)` These methods are usefull for creating targetable actions
`static TargetableAction` | `createTargetableAction(java.lang.String id, java.lang.String name, java.lang.String mnemonic)`
`static TargetableAction` | `createTargetableAction(java.lang.String id, java.lang.String name, java.lang.String mnemonic, boolean toggle)`
`static TargetableAction` | `createTargetableAction(java.lang.String id, java.lang.String name, java.lang.String mnemonic, boolean toggle, java.lang.String group)`
`static void` | `decorateAction(javax.swing.AbstractAction action, java.lang.String shortDesc, java.lang.String longDesc, javax.swing.Icon smallIcon, javax.swing.Icon largeIcon, javax.swing.KeyStroke accel)` Add additional attributes to the action.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionFactory

    public ActionFactory()

Method Detail

### createBoundAction

    public static BoundAction createBoundAction(java.lang.String id,
                                                java.lang.String name,
                                                java.lang.String mnemonic)

  Factory Methods for creating BoundActions

### createBoundAction

    public static BoundAction createBoundAction(java.lang.String id,
                                                java.lang.String name,
                                                java.lang.String mnemonic,
                                                boolean toggle)

### createBoundAction

    public static BoundAction createBoundAction(java.lang.String id,
                                                java.lang.String name,
                                                java.lang.String mnemonic,
                                                boolean toggle,
                                                java.lang.String group)

### createCompositeAction

    public static CompositeAction createCompositeAction(java.lang.String id,
                                                        java.lang.String name,
                                                        java.lang.String mnemonic)

  Factory Methods for creating `CompositeAction`

  See Also:
    `CompositeAction`

### createCompositeAction

    public static CompositeAction createCompositeAction(java.lang.String id,
                                                        java.lang.String name,
                                                        java.lang.String mnemonic,
                                                        boolean toggle)

### createCompositeAction

    public static CompositeAction createCompositeAction(java.lang.String id,
                                                        java.lang.String name,
                                                        java.lang.String mnemonic,
                                                        boolean toggle,
                                                        java.lang.String group)

### createServerAction

    public static ServerAction createServerAction(java.lang.String id,
                                                  java.lang.String name,
                                                  java.lang.String mnemonic)

### createTargetableAction

    public static TargetableAction createTargetableAction(java.lang.String id,
                                                          java.lang.String name)

  These methods are usefull for creating targetable actions

### createTargetableAction

    public static TargetableAction createTargetableAction(java.lang.String id,
                                                          java.lang.String name,
                                                          java.lang.String mnemonic)

### createTargetableAction

    public static TargetableAction createTargetableAction(java.lang.String id,
                                                          java.lang.String name,
                                                          java.lang.String mnemonic,
                                                          boolean toggle)

### createTargetableAction

    public static TargetableAction createTargetableAction(java.lang.String id,
                                                          java.lang.String name,
                                                          java.lang.String mnemonic,
                                                          boolean toggle,
                                                          java.lang.String group)

### decorateAction

    public static void decorateAction(javax.swing.AbstractAction action,
                                      java.lang.String shortDesc,
                                      java.lang.String longDesc,
                                      javax.swing.Icon smallIcon,
                                      javax.swing.Icon largeIcon,
                                      javax.swing.KeyStroke accel)

  Add additional attributes to the action. If any of these attributes are null then they will still be set on the action. Many of these attributes map to the set methods on `AbstractActionExt`

  Parameters:
    `action` - the action which will all the attributes will be applied
  See Also:
    `AbstractActionExt`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.